Subject: [bug#55866] [PATCH 0/2] Disable tests failing due to YAMA’s ptrace_scope.

From: Maxime Devos <[email-masked]>
Date: Thu, 09 Jun 2022 22:46:46 +0200

Lars-Dominik Braun schreef op do 09-06-2022 om 10:51 [+0200]:
> Hi,
> 
> I noticed that some tests fail on my foreign distribution,
> but not on Guix System, because they differ in their
> /proc/sys/kernel/yama/ptrace_scope. Guix sets it to 0 (no limitations),
> whereas most distributions default to 1 (only children can be ptrace’d),
> causing a reproducibility issue. The following patches therefore disable
> tests, which fail with a setting of >0.

Sounds reasonable to me, though I recommend reporting the issue
upstream such that they can adjust their test suites to skip the tests
when YAMA interferes.

Greetings,Maxime.